function output_tables_clbk(varargin)

% find structure and handles
swansed=findobj('Tag','swanonesed');
handles=get(swansed,'Userdata');

% input
Xp          = handles.output.xp ;
Depth_neg   = handles.output.depth_neg;
Dir_180     = handles.output.dir180 ;
Dspr        = handles.output.dspr ;
V           = handles.output.v ;
Sb          = handles.output.sb ;
Ss          = handles.output.ss ;
Stot        = handles.output.stot ;

% create table
%table(Xp,Depth_neg,Dir_180,Dspr,V,Sb,Ss,Stot)
table=[Xp,Depth_neg,Dir_180,Dspr,V,Sb,Ss,Stot] ;
handles.output.table = table ;

% create data files
filename = 'outputdata.xls' ;
xlswrite(filename,table) ;

% open table
winopen('outputdata.xls')

% Set handles to 'Userdata' property
set(swansed,'UserData',handles);

end